zenilib: zenilib/jni/external/zenilib/zeni_graphics/d3dx9anim.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Macros | Typedefs | Enumerations | Functions
d3dx9anim.h File Reference

Go to the source code of this file.

## Classes

struct | _D3DXEVENT_DESC
struct | _D3DXFRAME
struct | _D3DXKEY_CALLBACK
struct | _D3DXKEY_QUATERNION
struct | _D3DXKEY_VECTOR3
struct | _D3DXMESHCONTAINER
struct | _D3DXMESHDATA
struct | _D3DXTRACK_DESC

## Macros

#define | D3DXLoadMeshHierarchyFromX D3DXLoadMeshHierarchyFromXA
#define | D3DXSaveMeshHierarchyToFile D3DXSaveMeshHierarchyToFileA
#define | INTERFACE ID3DXAllocateHierarchy
#define | INTERFACE ID3DXLoadUserData
#define | INTERFACE ID3DXSaveUserData
#define | INTERFACE ID3DXAnimationSet
#define | INTERFACE ID3DXKeyframedAnimationSet
#define | INTERFACE ID3DXCompressedAnimationSet
#define | INTERFACE ID3DXAnimationCallbackHandler
#define | INTERFACE ID3DXAnimationController

## Typedefs

typedef enum _D3DXCALLBACK_SEARCH_FLAGS | D3DXCALLBACK_SEARCH_FLAGS
typedef enum _D3DXCOMPRESSION_FLAGS | D3DXCOMPRESSION_FLAGS
typedef struct _D3DXEVENT_DESC | D3DXEVENT_DESC
typedef enum _D3DXEVENT_TYPE | D3DXEVENT_TYPE
typedef DWORD | D3DXEVENTHANDLE
typedef struct _D3DXFRAME | D3DXFRAME
typedef struct _D3DXKEY_CALLBACK | D3DXKEY_CALLBACK
typedef struct _D3DXKEY_QUATERNION | D3DXKEY_QUATERNION
typedef struct _D3DXKEY_VECTOR3 | D3DXKEY_VECTOR3
typedef struct _D3DXMESHCONTAINER | D3DXMESHCONTAINER
typedef struct _D3DXMESHDATA | D3DXMESHDATA
typedef enum _D3DXMESHDATATYPE | D3DXMESHDATATYPE
typedef enum _D3DXPLAYBACK_TYPE | D3DXPLAYBACK_TYPE
typedef enum _D3DXPRIORITY_TYPE | D3DXPRIORITY_TYPE
typedef struct _D3DXTRACK_DESC | D3DXTRACK_DESC
typedef enum _D3DXTRANSITION_TYPE | D3DXTRANSITION_TYPE
typedef interface ID3DXAllocateHierarchy | ID3DXAllocateHierarchy
typedef interface ID3DXAnimationCallbackHandler | ID3DXAnimationCallbackHandler
typedef interface ID3DXAnimationController | ID3DXAnimationController
typedef interface ID3DXAnimationSet | ID3DXAnimationSet
typedef interface ID3DXCompressedAnimationSet | ID3DXCompressedAnimationSet
typedef interface ID3DXKeyframedAnimationSet | ID3DXKeyframedAnimationSet
typedef interface ID3DXLoadUserData | ID3DXLoadUserData
typedef interface ID3DXSaveUserData | ID3DXSaveUserData
typedef interface ID3DXAllocateHierarchy * | LPD3DXALLOCATEHIERARCHY
typedef interface ID3DXAnimationCallbackHandler * | LPD3DXANIMATIONCALLBACKHANDLER
typedef interface ID3DXAnimationController * | LPD3DXANIMATIONCONTROLLER
typedef interface ID3DXAnimationSet * | LPD3DXANIMATIONSET
typedef interface ID3DXCompressedAnimationSet * | LPD3DXCOMPRESSEDANIMATIONSET
typedef struct _D3DXEVENT_DESC * | LPD3DXEVENT_DESC
typedef D3DXEVENTHANDLE * | LPD3DXEVENTHANDLE
typedef struct _D3DXFRAME * | LPD3DXFRAME
typedef struct _D3DXKEY_CALLBACK * | LPD3DXKEY_CALLBACK
typedef struct _D3DXKEY_QUATERNION * | LPD3DXKEY_QUATERNION
typedef struct _D3DXKEY_VECTOR3 * | LPD3DXKEY_VECTOR3
typedef interface ID3DXKeyframedAnimationSet * | LPD3DXKEYFRAMEDANIMATIONSET
typedef interface ID3DXLoadUserData * | LPD3DXLOADUSERDATA
typedef struct _D3DXMESHCONTAINER * | LPD3DXMESHCONTAINER
typedef struct _D3DXMESHDATA * | LPD3DXMESHDATA
typedef interface ID3DXSaveUserData * | LPD3DXSAVEUSERDATA
typedef struct _D3DXTRACK_DESC * | LPD3DXTRACK_DESC

## Enumerations

enum | _D3DXCALLBACK_SEARCH_FLAGS { D3DXCALLBACK_SEARCH_EXCLUDING_INITIAL_POSITION = 0x01, D3DXCALLBACK_SEARCH_BEHIND_INITIAL_POSITION = 0x02, D3DXCALLBACK_SEARCH_FORCE_DWORD = 0x7fffffff }
enum | _D3DXCOMPRESSION_FLAGS { D3DXCOMPRESS_DEFAULT = 0x00, D3DXCOMPRESS_FORCE_DWORD = 0x7fffffff }
enum | _D3DXEVENT_TYPE { D3DXEVENT_TRACKSPEED = 0, D3DXEVENT_TRACKWEIGHT = 1, D3DXEVENT_TRACKPOSITION = 2, D3DXEVENT_TRACKENABLE = 3, D3DXEVENT_PRIORITYBLEND = 4, D3DXEVENT_FORCE_DWORD = 0x7fffffff }
enum | _D3DXMESHDATATYPE { D3DXMESHTYPE_MESH = 0x001, D3DXMESHTYPE_PMESH = 0x002, D3DXMESHTYPE_PATCHMESH = 0x003, D3DXMESHTYPE_FORCE_DWORD = 0x7fffffff }
enum | _D3DXPLAYBACK_TYPE { D3DXPLAY_LOOP = 0, D3DXPLAY_ONCE = 1, D3DXPLAY_PINGPONG = 2, D3DXPLAY_FORCE_DWORD = 0x7fffffff }
enum | _D3DXPRIORITY_TYPE { D3DXPRIORITY_LOW = 0, D3DXPRIORITY_HIGH = 1, D3DXPRIORITY_FORCE_DWORD = 0x7fffffff }
enum | _D3DXTRANSITION_TYPE { D3DXTRANSITION_LINEAR = 0x000, D3DXTRANSITION_EASEINEASEOUT = 0x001, D3DXTRANSITION_FORCE_DWORD = 0x7fffffff }

## Functions

HRESULT WINAPI | D3DXCreateAnimationController (UINT MaxNumMatrices, UINT MaxNumAnimationSets, UINT MaxNumTracks, UINT MaxNumEvents, LPD3DXANIMATIONCONTROLLER *ppAnimController)
HRESULT WINAPI | D3DXCreateCompressedAnimationSet (LPCSTR pName, DOUBLE TicksPerSecond, D3DXPLAYBACK_TYPE Playback, LPD3DXBUFFER pCompressedData, UINT NumCallbackKeys, CONST D3DXKEY_CALLBACK *pCallbackKeys, LPD3DXCOMPRESSEDANIMATIONSET *ppAnimationSet)
HRESULT WINAPI | D3DXCreateKeyframedAnimationSet (LPCSTR pName, DOUBLE TicksPerSecond, D3DXPLAYBACK_TYPE Playback, UINT NumAnimations, UINT NumCallbackKeys, CONST D3DXKEY_CALLBACK *pCallbackKeys, LPD3DXKEYFRAMEDANIMATIONSET *ppAnimationSet)
HRESULT WINAPI | D3DXFrameAppendChild (LPD3DXFRAME pFrameParent, CONST D3DXFRAME *pFrameChild)
HRESULT WINAPI | D3DXFrameCalculateBoundingSphere (CONST D3DXFRAME *pFrameRoot, LPD3DXVECTOR3 pObjectCenter, FLOAT *pObjectRadius)
HRESULT WINAPI | D3DXFrameDestroy (LPD3DXFRAME pFrameRoot, LPD3DXALLOCATEHIERARCHY pAlloc)
LPD3DXFRAME WINAPI | D3DXFrameFind (CONST D3DXFRAME *pFrameRoot, LPCSTR Name)
UINT WINAPI | D3DXFrameNumNamedMatrices (CONST D3DXFRAME *pFrameRoot)
HRESULT WINAPI | D3DXFrameRegisterNamedMatrices (LPD3DXFRAME pFrameRoot, LPD3DXANIMATIONCONTROLLER pAnimController)
HRESULT WINAPI | D3DXLoadMeshHierarchyFromXA (LPCSTR Filename, DWORD MeshOptions, LPDIRECT3DDEVICE9 pD3DDevice, LPD3DXALLOCATEHIERARCHY pAlloc, LPD3DXLOADUSERDATA pUserDataLoader, LPD3DXFRAME *ppFrameHierarchy, LPD3DXANIMATIONCONTROLLER *ppAnimController)
HRESULT WINAPI | D3DXLoadMeshHierarchyFromXInMemory (LPCVOID Memory, DWORD SizeOfMemory, DWORD MeshOptions, LPDIRECT3DDEVICE9 pD3DDevice, LPD3DXALLOCATEHIERARCHY pAlloc, LPD3DXLOADUSERDATA pUserDataLoader, LPD3DXFRAME *ppFrameHierarchy, LPD3DXANIMATIONCONTROLLER *ppAnimController)
HRESULT WINAPI | D3DXLoadMeshHierarchyFromXW (LPCWSTR Filename, DWORD MeshOptions, LPDIRECT3DDEVICE9 pD3DDevice, LPD3DXALLOCATEHIERARCHY pAlloc, LPD3DXLOADUSERDATA pUserDataLoader, LPD3DXFRAME *ppFrameHierarchy, LPD3DXANIMATIONCONTROLLER *ppAnimController)
HRESULT WINAPI | D3DXSaveMeshHierarchyToFileA (LPCSTR Filename, DWORD XFormat, CONST D3DXFRAME *pFrameRoot, LPD3DXANIMATIONCONTROLLER pAnimcontroller, LPD3DXSAVEUSERDATA pUserDataSaver)
HRESULT WINAPI | D3DXSaveMeshHierarchyToFileW (LPCWSTR Filename, DWORD XFormat, CONST D3DXFRAME *pFrameRoot, LPD3DXANIMATIONCONTROLLER pAnimController, LPD3DXSAVEUSERDATA pUserDataSaver)
| DECLARE_INTERFACE (ID3DXAllocateHierarchy)
| DECLARE_INTERFACE (ID3DXLoadUserData)
| DECLARE_INTERFACE (ID3DXSaveUserData)
| DECLARE_INTERFACE (ID3DXAnimationCallbackHandler)
| DECLARE_INTERFACE_ (ID3DXAnimationSet, IUnknown)
| DECLARE_INTERFACE_ (ID3DXKeyframedAnimationSet, ID3DXAnimationSet)
| DECLARE_INTERFACE_ (ID3DXCompressedAnimationSet, ID3DXAnimationSet)
| DECLARE_INTERFACE_ (ID3DXAnimationController, IUnknown)
| DEFINE_GUID (IID_ID3DXAnimationSet, 0x698cfb3f, 0x9289, 0x4d95, 0x9a, 0x57, 0x33, 0xa9, 0x4b, 0x5a, 0x65, 0xf9)
| DEFINE_GUID (IID_ID3DXKeyframedAnimationSet, 0xfa4e8e3a, 0x9786, 0x407d, 0x8b, 0x4c, 0x59, 0x95, 0x89, 0x37, 0x64, 0xaf)
| DEFINE_GUID (IID_ID3DXCompressedAnimationSet, 0x6cc2480d, 0x3808, 0x4739, 0x9f, 0x88, 0xde, 0x49, 0xfa, 0xcd, 0x8d, 0x4c)
| DEFINE_GUID (IID_ID3DXAnimationController, 0xac8948ec, 0xf86d, 0x43e2, 0x96, 0xde, 0x31, 0xfc, 0x35, 0xf9, 0x6d, 0x9e)

## Macro Definition Documentation

#define D3DXLoadMeshHierarchyFromX D3DXLoadMeshHierarchyFromXA

Definition at line 828 of file d3dx9anim.h.

#define D3DXSaveMeshHierarchyToFile D3DXSaveMeshHierarchyToFileA

Definition at line 887 of file d3dx9anim.h.

#define INTERFACE ID3DXAllocateHierarchy

Definition at line 685 of file d3dx9anim.h.

#define INTERFACE ID3DXLoadUserData

Definition at line 685 of file d3dx9anim.h.

#define INTERFACE ID3DXSaveUserData

Definition at line 685 of file d3dx9anim.h.

#define INTERFACE ID3DXAnimationSet

Definition at line 685 of file d3dx9anim.h.

#define INTERFACE ID3DXKeyframedAnimationSet

Definition at line 685 of file d3dx9anim.h.

#define INTERFACE ID3DXCompressedAnimationSet

Definition at line 685 of file d3dx9anim.h.

#define INTERFACE ID3DXAnimationCallbackHandler

Definition at line 685 of file d3dx9anim.h.

#define INTERFACE ID3DXAnimationController

Definition at line 685 of file d3dx9anim.h.

## Typedef Documentation

typedef enum _D3DXCALLBACK_SEARCH_FLAGS D3DXCALLBACK_SEARCH_FLAGS

typedef enum _D3DXCOMPRESSION_FLAGS D3DXCOMPRESSION_FLAGS

typedef struct _D3DXEVENT_DESC D3DXEVENT_DESC

typedef enum _D3DXEVENT_TYPE D3DXEVENT_TYPE

typedef DWORD D3DXEVENTHANDLE

Definition at line 636 of file d3dx9anim.h.

typedef struct _D3DXFRAME D3DXFRAME

typedef struct _D3DXKEY_CALLBACK D3DXKEY_CALLBACK

typedef struct _D3DXKEY_QUATERNION D3DXKEY_QUATERNION

typedef struct _D3DXKEY_VECTOR3 D3DXKEY_VECTOR3

typedef struct _D3DXMESHCONTAINER D3DXMESHCONTAINER

typedef struct _D3DXMESHDATA D3DXMESHDATA

typedef enum _D3DXMESHDATATYPE D3DXMESHDATATYPE

typedef enum _D3DXPLAYBACK_TYPE D3DXPLAYBACK_TYPE

typedef enum _D3DXPRIORITY_TYPE D3DXPRIORITY_TYPE

typedef struct _D3DXTRACK_DESC D3DXTRACK_DESC

typedef enum _D3DXTRANSITION_TYPE D3DXTRANSITION_TYPE

typedef interface ID3DXAllocateHierarchy ID3DXAllocateHierarchy

Definition at line 112 of file d3dx9anim.h.

typedef interface ID3DXAnimationCallbackHandler ID3DXAnimationCallbackHandler

Definition at line 647 of file d3dx9anim.h.

typedef interface ID3DXAnimationController ID3DXAnimationController

Definition at line 669 of file d3dx9anim.h.

typedef interface ID3DXAnimationSet ID3DXAnimationSet

Definition at line 279 of file d3dx9anim.h.

typedef interface ID3DXCompressedAnimationSet ID3DXCompressedAnimationSet

Definition at line 487 of file d3dx9anim.h.

typedef interface ID3DXKeyframedAnimationSet ID3DXKeyframedAnimationSet

Definition at line 395 of file d3dx9anim.h.

typedef interface ID3DXLoadUserData ID3DXLoadUserData

Definition at line 201 of file d3dx9anim.h.

typedef interface ID3DXSaveUserData ID3DXSaveUserData

Definition at line 225 of file d3dx9anim.h.

typedef interface ID3DXAllocateHierarchy* LPD3DXALLOCATEHIERARCHY

Definition at line 113 of file d3dx9anim.h.

typedef interface ID3DXAnimationCallbackHandler* LPD3DXANIMATIONCALLBACKHANDLER

Definition at line 648 of file d3dx9anim.h.

typedef interface ID3DXAnimationController* LPD3DXANIMATIONCONTROLLER

Definition at line 682 of file d3dx9anim.h.

typedef interface ID3DXAnimationSet* LPD3DXANIMATIONSET

Definition at line 280 of file d3dx9anim.h.

typedef interface ID3DXCompressedAnimationSet* LPD3DXCOMPRESSEDANIMATIONSET

Definition at line 496 of file d3dx9anim.h.

typedef struct _D3DXEVENT_DESC * LPD3DXEVENT_DESC

typedef D3DXEVENTHANDLE* LPD3DXEVENTHANDLE

Definition at line 637 of file d3dx9anim.h.

typedef struct _D3DXFRAME * LPD3DXFRAME

typedef struct _D3DXKEY_CALLBACK * LPD3DXKEY_CALLBACK

typedef struct _D3DXKEY_QUATERNION * LPD3DXKEY_QUATERNION

typedef struct _D3DXKEY_VECTOR3 * LPD3DXKEY_VECTOR3

typedef interface ID3DXKeyframedAnimationSet* LPD3DXKEYFRAMEDANIMATIONSET

Definition at line 396 of file d3dx9anim.h.

typedef interface ID3DXLoadUserData* LPD3DXLOADUSERDATA

Definition at line 211 of file d3dx9anim.h.

typedef struct _D3DXMESHCONTAINER * LPD3DXMESHCONTAINER

typedef struct _D3DXMESHDATA * LPD3DXMESHDATA

typedef interface ID3DXSaveUserData* LPD3DXSAVEUSERDATA

Definition at line 235 of file d3dx9anim.h.

typedef struct _D3DXTRACK_DESC * LPD3DXTRACK_DESC

## Enumeration Type Documentation

enum _D3DXCALLBACK_SEARCH_FLAGS

Enumerator
D3DXCALLBACK_SEARCH_EXCLUDING_INITIAL_POSITION |
D3DXCALLBACK_SEARCH_BEHIND_INITIAL_POSITION |
D3DXCALLBACK_SEARCH_FORCE_DWORD |

Definition at line 266 of file d3dx9anim.h.

enum _D3DXCOMPRESSION_FLAGS

Enumerator
D3DXCOMPRESS_DEFAULT |
D3DXCOMPRESS_FORCE_DWORD |

Definition at line 382 of file d3dx9anim.h.

enum _D3DXEVENT_TYPE

Enumerator
D3DXEVENT_TRACKSPEED |
D3DXEVENT_TRACKWEIGHT |
D3DXEVENT_TRACKPOSITION |
D3DXEVENT_TRACKENABLE |
D3DXEVENT_PRIORITYBLEND |
D3DXEVENT_FORCE_DWORD |

Definition at line 584 of file d3dx9anim.h.

enum _D3DXMESHDATATYPE

Enumerator
D3DXMESHTYPE_MESH |
D3DXMESHTYPE_PMESH |
D3DXMESHTYPE_PATCHMESH |
D3DXMESHTYPE_FORCE_DWORD |

Definition at line 35 of file d3dx9anim.h.

enum _D3DXPLAYBACK_TYPE

Enumerator
D3DXPLAY_LOOP |
D3DXPLAY_ONCE |
D3DXPLAY_PINGPONG |
D3DXPLAY_FORCE_DWORD |

Definition at line 326 of file d3dx9anim.h.

enum _D3DXPRIORITY_TYPE

Enumerator
D3DXPRIORITY_LOW |
D3DXPRIORITY_HIGH |
D3DXPRIORITY_FORCE_DWORD |

Definition at line 553 of file d3dx9anim.h.

enum _D3DXTRANSITION_TYPE

Enumerator
D3DXTRANSITION_LINEAR |
D3DXTRANSITION_EASEINEASEOUT |
D3DXTRANSITION_FORCE_DWORD |

Definition at line 601 of file d3dx9anim.h.

## Function Documentation

HRESULT WINAPI D3DXCreateAnimationController | ( | UINT | MaxNumMatrices,
|  | UINT | MaxNumAnimationSets,
|  | UINT | MaxNumTracks,
|  | UINT | MaxNumEvents,
|  | LPD3DXANIMATIONCONTROLLER * | ppAnimController
| ) |  |

HRESULT WINAPI D3DXCreateCompressedAnimationSet | ( | LPCSTR | pName,
|  | DOUBLE | TicksPerSecond,
|  | D3DXPLAYBACK_TYPE | Playback,
|  | LPD3DXBUFFER | pCompressedData,
|  | UINT | NumCallbackKeys,
|  | CONST D3DXKEY_CALLBACK * | pCallbackKeys,
|  | LPD3DXCOMPRESSEDANIMATIONSET * | ppAnimationSet
| ) |  |

HRESULT WINAPI D3DXCreateKeyframedAnimationSet | ( | LPCSTR | pName,
|  | DOUBLE | TicksPerSecond,
|  | D3DXPLAYBACK_TYPE | Playback,
|  | UINT | NumAnimations,
|  | UINT | NumCallbackKeys,
|  | CONST D3DXKEY_CALLBACK * | pCallbackKeys,
|  | LPD3DXKEYFRAMEDANIMATIONSET * | ppAnimationSet
| ) |  |

HRESULT WINAPI D3DXFrameAppendChild | ( | LPD3DXFRAME | pFrameParent,
|  | CONST D3DXFRAME * | pFrameChild
| ) |  |

HRESULT WINAPI D3DXFrameCalculateBoundingSphere | ( | CONST D3DXFRAME * | pFrameRoot,
|  | LPD3DXVECTOR3 | pObjectCenter,
|  | FLOAT * | pObjectRadius
| ) |  |

HRESULT WINAPI D3DXFrameDestroy | ( | LPD3DXFRAME | pFrameRoot,
|  | LPD3DXALLOCATEHIERARCHY | pAlloc
| ) |  |

LPD3DXFRAME WINAPI D3DXFrameFind | ( | CONST D3DXFRAME * | pFrameRoot,
|  | LPCSTR | Name
| ) |  |

UINT WINAPI D3DXFrameNumNamedMatrices | ( | CONST D3DXFRAME * | pFrameRoot | ) |

HRESULT WINAPI D3DXFrameRegisterNamedMatrices | ( | LPD3DXFRAME | pFrameRoot,
|  | LPD3DXANIMATIONCONTROLLER | pAnimController
| ) |  |

HRESULT WINAPI D3DXLoadMeshHierarchyFromXA | ( | LPCSTR | Filename,
|  | DWORD | MeshOptions,
|  | LPDIRECT3DDEVICE9 | pD3DDevice,
|  | LPD3DXALLOCATEHIERARCHY | pAlloc,
|  | LPD3DXLOADUSERDATA | pUserDataLoader,
|  | LPD3DXFRAME * | ppFrameHierarchy,
|  | LPD3DXANIMATIONCONTROLLER * | ppAnimController
| ) |  |

HRESULT WINAPI D3DXLoadMeshHierarchyFromXInMemory | ( | LPCVOID | Memory,
|  | DWORD | SizeOfMemory,
|  | DWORD | MeshOptions,
|  | LPDIRECT3DDEVICE9 | pD3DDevice,
|  | LPD3DXALLOCATEHIERARCHY | pAlloc,
|  | LPD3DXLOADUSERDATA | pUserDataLoader,
|  | LPD3DXFRAME * | ppFrameHierarchy,
|  | LPD3DXANIMATIONCONTROLLER * | ppAnimController
| ) |  |

HRESULT WINAPI D3DXLoadMeshHierarchyFromXW | ( | LPCWSTR | Filename,
|  | DWORD | MeshOptions,
|  | LPDIRECT3DDEVICE9 | pD3DDevice,
|  | LPD3DXALLOCATEHIERARCHY | pAlloc,
|  | LPD3DXLOADUSERDATA | pUserDataLoader,
|  | LPD3DXFRAME * | ppFrameHierarchy,
|  | LPD3DXANIMATIONCONTROLLER * | ppAnimController
| ) |  |

HRESULT WINAPI D3DXSaveMeshHierarchyToFileA | ( | LPCSTR | Filename,
|  | DWORD | XFormat,
|  | CONST D3DXFRAME * | pFrameRoot,
|  | LPD3DXANIMATIONCONTROLLER | pAnimcontroller,
|  | LPD3DXSAVEUSERDATA | pUserDataSaver
| ) |  |

HRESULT WINAPI D3DXSaveMeshHierarchyToFileW | ( | LPCWSTR | Filename,
|  | DWORD | XFormat,
|  | CONST D3DXFRAME * | pFrameRoot,
|  | LPD3DXANIMATIONCONTROLLER | pAnimController,
|  | LPD3DXSAVEUSERDATA | pUserDataSaver
| ) |  |

DECLARE_INTERFACE | ( | ID3DXAllocateHierarchy |  | ) |

Definition at line 118 of file d3dx9anim.h.

References DWORD().

DECLARE_INTERFACE | ( | ID3DXLoadUserData |  | ) |

Definition at line 216 of file d3dx9anim.h.

DECLARE_INTERFACE | ( | ID3DXSaveUserData |  | ) |

Definition at line 240 of file d3dx9anim.h.

DECLARE_INTERFACE | ( | ID3DXAnimationCallbackHandler |  | ) |

Definition at line 653 of file d3dx9anim.h.

References LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXAnimationSet | ,
|  | IUnknown |
| ) |  |

Definition at line 285 of file d3dx9anim.h.

References DWORD(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXKeyframedAnimationSet | ,
|  | ID3DXAnimationSet |
| ) |  |

Definition at line 401 of file d3dx9anim.h.

References DWORD(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXCompressedAnimationSet | ,
|  | ID3DXAnimationSet |
| ) |  |

Definition at line 501 of file d3dx9anim.h.

References DWORD(), LPVOID(), and UINT().

DECLARE_INTERFACE_ | ( | ID3DXAnimationController | ,
|  | IUnknown |
| ) |  |

Definition at line 687 of file d3dx9anim.h.

References BOOL(), LPVOID(), and UINT().

DEFINE_GUID | ( | IID_ID3DXAnimationSet | ,
|  | 0x698cfb3f | ,
|  | 0x9289 | ,
|  | 0x4d95 | ,
|  | 0x9a | ,
|  | 0x57 | ,
|  | 0x33 | ,
|  | 0xa9 | ,
|  | 0x4b | ,
|  | 0x5a | ,
|  | 0x65 | ,
|  | 0xf9 |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXKeyframedAnimationSet | ,
|  | 0xfa4e8e3a | ,
|  | 0x9786 | ,
|  | 0x407d | ,
|  | 0x8b | ,
|  | 0x4c | ,
|  | 0x59 | ,
|  | 0x95 | ,
|  | 0x89 | ,
|  | 0x37 | ,
|  | 0x64 | ,
|  | 0xaf |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXCompressedAnimationSet | ,
|  | 0x6cc2480d | ,
|  | 0x3808 | ,
|  | 0x4739 | ,
|  | 0x9f | ,
|  | 0x88 | ,
|  | 0xde | ,
|  | 0x49 | ,
|  | 0xfa | ,
|  | 0xcd | ,
|  | 0x8d | ,
|  | 0x4c |
| ) |  |

DEFINE_GUID | ( | IID_ID3DXAnimationController | ,
|  | 0xac8948ec | ,
|  | 0xf86d | ,
|  | 0x43e2 | ,
|  | 0x96 | ,
|  | 0xde | ,
|  | 0x31 | ,
|  | 0xfc | ,
|  | 0x35 | ,
|  | 0xf9 | ,
|  | 0x6d | ,
|  | 0x9e |
| ) |  |